Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 223490 - Review Request: alex - The lexer generator for Haskell
Summary: Review Request: alex - The lexer generator for Haskell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 223486
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-19 18:08 UTC by Bryan O'Sullivan
Modified: 2014-04-14 05:00 UTC (History)
1 user (show)

Fixed In Version: 2.1.0-5.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-10 05:59:37 UTC
Type: ---
Embargoed:
petersen: fedora-review+
j: fedora-cvs+


Attachments (Terms of Use)
alex.spec-2-fixes.patch (deleted)
2007-06-25 05:26 UTC, Jens Petersen
no flags Details | Diff

Description Bryan O'Sullivan 2007-01-19 18:08:04 UTC
Spec URL: http://www.red-bean.com/~bos/alex.spec
SRPM URL: http://www.red-bean.com/~bos/alex-2.1.0-1.src.rpm
Description:
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool lex or flex for C/C++.

[I am a new contributor, and need a sponsor.]

Comment 1 Jens Petersen 2007-02-22 01:43:16 UTC
Basically this package also looks ok.
I might suggest some minor cleanup of the .spec along the lines of happy.spec.

Comment 2 Bryan O'Sullivan 2007-03-27 02:51:37 UTC
I'll clean this up later this evening and point you at the results.

Comment 3 Bryan O'Sullivan 2007-04-26 17:16:44 UTC
Well, that took a while to get around to :-)

Spec URL: http://www.red-bean.com/~bos/alex.spec
SRPM URL: http://www.red-bean.com/~bos/alex-2.1.0-2.src.rpm

Comment 4 Jens Petersen 2007-06-25 05:18:07 UTC
Sorry for sitting on this so long.

(In reply to comment #3)
> SRPM URL: http://www.red-bean.com/~bos/alex-2.1.0-2.src.rpm

(BTW this links seems to be broken.)

Thanks for cleaning up - the rpmlint output is clean. :)




Comment 5 Jens Petersen 2007-06-25 05:26:22 UTC
Created attachment 157731 [details]
alex.spec-2-fixes.patch

simplify buildrequires and build:
- happy, docbook-dtds, libxml2, xmltex not needed as buildrequires afaict

Comment 6 Jens Petersen 2007-07-20 08:05:38 UTC
ping

Comment 7 Bryan O'Sullivan 2007-07-22 16:32:12 UTC
Jens, I've applied your patch with one change (still need to run autoreconf
before ./configure in the doc directory).  Thanks!

This should be the final version of the package, I believe.

http://www.red-bean.com/~bos/alex-2.1.0-3.fc7.src.rpm
http://www.red-bean.com/~bos/alex.spec

Comment 8 Jens Petersen 2007-07-23 01:47:08 UTC
Here is the formal review:

Good:
+ rpmlint clean
+ license is BSD
+ checked source md5sum:
17e80d39cc3f1aba28dcea0e358c81e9  alex-2.1.0.tar.gz
+ directory ownership good

Needs attention:
- need to exclude ppc64 for this too I guess.

All other MUST items are satisfied.

Could you please add the ppc64 excludes and open a bug for that making it depend
on the ghc ppc64 bug.

Package is APPROVED.

Comment 9 Jens Petersen 2007-09-25 05:13:54 UTC
PING

This is still not built, right?

Comment 10 Jens Petersen 2007-09-25 05:14:26 UTC
Could you please put in a cvsadmin request?

Comment 11 Bryan O'Sullivan 2007-09-25 16:22:34 UTC
New Package CVS Request
=======================
Package Name: alex
Short Description: A tool for generating lexical analysers in Haskell
Owners: bos, petersen
Branches: F-7
InitialCC: 
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2007-09-25 18:24:26 UTC
cvs done.

Comment 13 Bryan O'Sullivan 2007-09-25 22:26:19 UTC
koji is choking due to ppc and ppc64 build failures.  What should I do about this?

http://koji.fedoraproject.org/koji/taskinfo?taskID=174765

Comment 14 Jens Petersen 2007-09-26 00:16:48 UTC
Koji has been a bit unstable recently, please try again later after excluding
ppc64 until ghc is available there. (It would be good to file a bug to track
that too.)

Comment 15 Fedora Update System 2007-10-03 21:17:35 UTC
alex-2.1.0-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update alex'

Comment 16 Fedora Update System 2007-11-10 05:59:36 UTC
alex-2.1.0-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Jens Petersen 2010-10-05 04:32:10 UTC
Package Change Request
======================
Package Name: alex
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig

Comment 18 Jason Tibbitts 2010-10-05 13:32:28 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.